package com.xhkjedu.service;

import com.xhkjedu.mapper.EPaperVerifyMapper;
import com.xhkjedu.model.EPaperStudent0608;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @classname EPaperCorrectVerifyService
 * @description 考卷校验
 * @date 2024/6/8 14:39
 **/
@Service
public class EPaperVerifyService {
    @Resource
    private EPaperVerifyMapper ePaperVerifyMapper;

    //根据姓名搜索学生信息
    public List<Map> listStudentByStudentname(Integer examid, String studentname, Integer classid) {
        return ePaperVerifyMapper.listStudentByStudentname(examid, studentname, classid);
    }

    //获取学生试卷及试题作答
    public Map getStudentPaper(EPaperStudent0608 ps) {
        return ePaperVerifyMapper.getStudentPaper(ps);
    }

    //识别正确跳过
    public void correctSkip(Integer epsid) {
        ePaperVerifyMapper.correctSkip(epsid);
    }
}
