package com.xhkjedu.mapper;

import com.xhkjedu.model.EPaperStudent0608;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @classname EPaperVerifyMapper
 * @description todo
 * @date 2024/6/8 14:44
 **/
@Repository
public interface EPaperVerifyMapper {
    //根据姓名搜索学生信息
    List<Map> listStudentByStudentname(@Param("examid") Integer examid,@Param("studentname") String studentname,@Param("classid") Integer classid);

    //获取学生试卷及试题作答
    Map getStudentPaper(@Param("ps") EPaperStudent0608 ps);

    //识别正确跳过
    void correctSkip(@Param("epsid") Integer epsid);
}
